@import '../../../../../assets/styles/common.scss';

.equipment-modal-container {
    width: 100%;
    height: 100%;
    position: relative;

    &-detailed-map-form {
        bottom: 0px;
        width: 100%;
        display: flex;
        margin: 0px auto;
        flex-direction: row;
        align-items: center;
        position: absolute;
        justify-content: center;

        &-pickers {
            display: flex;
            margin-bottom: 15px;
            flex-direction: row;
            padding: 15px 5px 5px 0px;
            background-color: white;
            box-shadow: 0 0 6px rgba(0,0,0,0.3);

            &-datetimepicker {
                width: 200px;
                .rdtTime {
                    margin-top: -190px;
                    background: #fff;
                }
            }

            &-line {
                margin-top: 5px;
            }
        }
    }

    .loading-container {
        background-color: rgba(0,0,0,0.3);
    }
}

.equipment-detailed-map-tab {
    width: 100%;
    position: relative;
    height: calc(100% - 50px);
}

@media screen and (max-width: 680px){
    .equipment-modal-container {
        &-detailed-map-form {
            &-pickers {
                flex-wrap: wrap;

                &-datetimepicker {
                    width: 100%;
                    margin: 5px 10px;
                }

                &-line {
                    display: none;
                }
            }
        }
    }
}
